Bug 243794 - [NEW PORT] devel/AusweisApp2 : Online identification
Summary: [NEW PORT] devel/AusweisApp2 : Online identification
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-02 11:56 UTC by Martin Filla
Modified: 2020-03-13 10:26 UTC (History)
1 user (show)

See Also:


Attachments
AusweisApp2.shar (2.56 KB, text/plain)
2020-02-02 11:56 UTC, Martin Filla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2020-02-02 11:56:24 UTC
Created attachment 211272 [details]
AusweisApp2.shar

Hi, new port application AusweisApp2

Governikus develops solutions for legally binding electronic communication, 
from authentication to the secure exchange of data and long-term data 
storage preserving probative value. One of our solutions is AusweisApp2 
developed on behalf of the Federal Ministry of the Interior for the 
application of the online identification function of the national 
identity card and the electronic residence permit.
Comment 1 commit-hook freebsd_committer 2020-03-12 12:57:04 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar 12 12:56:27 UTC 2020
New revision: 528286
URL: https://svnweb.freebsd.org/changeset/ports/528286

Log:
  New port: deskutils/ausweisapp2

  The AusweisApp2 is a software, that you can use to identify yourself online
  with your ID card or your electronic residence permit.

  The AusweisApp2 offers you an integrated self-assessment where you are able
  to view your data that is stored on the online ID.

  It is being developed on behalf of the German Federal Ministry of the
  Interior.

  WWW: https://www.ausweisapp.bund.de/ausweisapp2/

  PR:		243794
  Submitted by:	Martin Filla <freebsd@sysctl.cz> (very early patch)
  Requested by:	AndreKlitzing (via wiki.freebsd.org/WantedPorts)

Changes:
  head/deskutils/Makefile
  head/deskutils/ausweisapp2/
  head/deskutils/ausweisapp2/Makefile
  head/deskutils/ausweisapp2/distinfo
  head/deskutils/ausweisapp2/files/
  head/deskutils/ausweisapp2/files/patch-cmake_Install.cmake
  head/deskutils/ausweisapp2/pkg-descr
  head/deskutils/ausweisapp2/pkg-plist
Comment 2 Mateusz Piotrowski freebsd_committer 2020-03-12 13:02:46 UTC
Finally, committed.

I had to fix a lot of issues with the provided patch. Please, try to test your submissions with poudriere.
Comment 3 commit-hook freebsd_committer 2020-03-12 14:09:09 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar 12 14:08:55 UTC 2020
New revision: 528293
URL: https://svnweb.freebsd.org/changeset/ports/528293

Log:
  Use libhttp_parser from ports instead of the bundled one

  While here, remove unused variables.

  PR:		243794
  Reported by:	Andr? Klitzing (upstream)

Changes:
  head/deskutils/ausweisapp2/Makefile
Comment 4 Martin Filla 2020-03-13 10:26:57 UTC
(In reply to Mateusz Piotrowski from comment #2)
Thank you.